> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Modifier Abonnement



## OpenAPI

````yaml openapi.json put /abonnements/{abonnement_id}
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /abonnements/{abonnement_id}:
    put:
      tags:
        - Abonnements
        - Abonnements
      summary: Modifier Abonnement
      operationId: modifier_abonnement_abonnements__abonnement_id__put
      parameters:
        - name: abonnement_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Abonnement Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AbonnementUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AbonnementRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AbonnementUpdate:
      properties:
        montant:
          anyOf:
            - type: number
              nullable: true
          title: Montant
        statut:
          anyOf:
            - $ref: '#/components/schemas/StatutAbonnement'
            - nullable: true
        date_expiration:
          anyOf:
            - type: string
              format: date-time
            - nullable: true
          title: Date Expiration
      type: object
      title: AbonnementUpdate
    AbonnementRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        marchand_id:
          type: string
          format: uuid
          title: Marchand Id
        montant:
          type: number
          title: Montant
        date_debut:
          type: string
          format: date-time
          title: Date Debut
        date_expiration:
          type: string
          format: date-time
          title: Date Expiration
        statut:
          $ref: '#/components/schemas/StatutAbonnement'
      type: object
      required:
        - id
        - marchand_id
        - montant
        - date_debut
        - date_expiration
        - statut
      title: AbonnementRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StatutAbonnement:
      type: string
      enum:
        - actif
        - expiré
        - suspendu
      title: StatutAbonnement
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.